Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# DoubleSeqA.cpp File Reference

`#include "DoubleSeqA.h"`
`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Sequence_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/CDR.h"`
`#include "tao/AnyTypeCode/Any_Dual_Impl_T.h"`

Include dependency graph for DoubleSeqA.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
namespace | CORBA
## Functions
void | operator<<= (::CORBA::Any &_tao_any, const CORBA::DoubleSeq &_tao_elem)
void | operator<<= (::CORBA::Any &_tao_any, CORBA::DoubleSeq *_tao_elem)
::CORBA::Boolean | operator>>= (const ::CORBA::Any &_tao_any, CORBA::DoubleSeq *&_tao_elem)
::CORBA::Boolean | operator>>= (const ::CORBA::Any &_tao_any, const CORBA::DoubleSeq *&_tao_elem)
## Variables
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | CORBA_DoubleSeq_0 (::CORBA::tk_sequence,&CORBA::_tc_double, 0U)
::CORBA::TypeCode_ptr const | tc_CORBA_DoubleSeq_0
TAO::TypeCode::Alias< char const *,::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_DoubleSeq (::CORBA::tk_alias,"IDL:omg.org/CORBA/DoubleSeq:1.0","DoubleSeq",&TAO::TypeCode::tc_CORBA_DoubleSeq_0)
::CORBA::TypeCode_ptr const | _tc_DoubleSeq

## Function Documentation

void operator<<= | ( | ::CORBA::Any & | _tao_any,
|  | CORBA::DoubleSeq * | _tao_elem
| ) |

void operator<<= | ( | ::CORBA::Any & | _tao_any,
|  | const CORBA::DoubleSeq & | _tao_elem
| ) |

::CORBA::Boolean operator>>= | ( | const ::CORBA::Any & | _tao_any,
|  | const CORBA::DoubleSeq *& | _tao_elem
| ) |

::CORBA::Boolean operator>>= | ( | const ::CORBA::Any & | _tao_any,
|  | CORBA::DoubleSeq *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Alias<char const *, ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_DoubleSeq(::CORBA::tk_alias,"IDL:omg.org/CORBA/DoubleSeq:1.0","DoubleSeq",&TAO::TypeCode::tc_CORBA_DoubleSeq_0)`[static]`

TAO_AnyTypeCode_Export::CORBA::TypeCode_ptr const CORBA::_tc_DoubleSeq

| Initial value:
        &_tao_tc_CORBA_DoubleSeq

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::CORBA_DoubleSeq_0(::CORBA::tk_sequence,&CORBA::_tc_double, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_CORBA_DoubleSeq_0

| Initial value:
          &CORBA_DoubleSeq_0